library(ggplot2)
library(gcookbook)
library(plyr)
library(MASS)
library(grid)
library(scales)
library(RColorBrewer)
library(reshape2)
library(ggmap)
library(psych)
library(zoo)
library(caret)

setwd("C:/Users/regio/Desktop/senior/Ă̊wZ/model2018/Japanese/zzf[^/PPf[^/l/tTvOf[^/Sf[^")
ensyu <- read.csv("ensyu_cleaningall.csv")
str(ensyu)

kanagawa <- subset(ensyu,ensyu$shikunameO == ""@|@ensyu$shikunameO == ""@| ensyu$shikunameO == "_ސ")
kanagawa <- subset(kanagawa,kanagawa$shikunameD == ""@|
                     kanagawa$shikunameD == ""@| kanagawa$shikunameD == "_ސ")

set.ymd <- substring(kanagawa$o,1,11)
kanagawa$weekdays <- weekdays(as.Date(set.ymd))

mycar <- subset(kanagawa,kanagawa$\ʎiR[h == 100)
train <- subset(kanagawa,kanagawa$\ʎiR[h == 200)
bus <- subset(kanagawa,kanagawa$\ʎiR[h == 240)
bicycle <- subset(kanagawa,kanagawa$\ʎiR[h == 410)
walk <- subset(kanagawa,kanagawa$\ʎiR[h == 420)
taxi <- subset(kanagawa,kanagawa$\ʎiR[h == 500)
sharebike <- subset(kanagawa,kanagawa$\ʎiR[h == 700)

model <- subset(kanagawa,kanagawa$\ʎi == ""@|
                  kanagawa$\ʎi == "S"@| kanagawa$\ʎi == "oX")
model1 <- model[,33:61]
model1 <- model1[,c(1,2,4,5,9:13,21:29)]

dummy1 <- model1
tmp <- dummyVars(~., data=dummy1)
dummy1.dummy <- as.data.frame(predict(tmp, dummy1))

dummy1.dummy$mode <- model$\ʎi
dummy1.dummy$pcar <-dummy1.dummy$car/1000 * 13
modeldummy <- dummy1.dummy[,c(26,4,12,2,3,11,20,18,21,24,19,22,23,25)]
modeldummy$x[modeldummy$weekdaysyj==1 |modeldummy$weekdaysj==1 ] <- 1
modeldummy[is.na(modeldummy)] <- 0
modeldummy$[modeldummy$x==0] <- 1
modeldummy[is.na(modeldummy)] <- 0
modeldummy1 <- modeldummy[,c(1:6,16:14)]

setwd("C:/Users/regio/Desktop/senior/Ă̊wZ/")
write.csv(modeldummy1,file = "dummy1.csv")