library(ggplot2)
library(gcookbook)
library(plyr)
library(MASS)
library(grid)
library(scales)
library(RColorBrewer)
library(reshape2)
library(ggmap)
library(psych)
library(zoo)
library(caret)


rm(list=ls())
setwd("C:/Users/Dai-S/Desktop/TUMSAT/senior/Ă̊wZ/model2018/Japanese/zzf[^/PPf[^/l/tTvOf[^/Sf[^")
ensyu <- read.csv("ensyu_cleaningall.csv")

ensyu$pcar <-ensyu$car/1000 * 13
ensyu$pcar90 <- ensyu$pcar*0.9
ensyu$ptrain90 <- ensyu$ptrain*0.9
ensyu$pbus90 <- ensyu$pbus*0.9
ensyu$pcar80 <- ensyu$pcar*0.8
ensyu$ptrain80 <- ensyu$ptrain*0.8
ensyu$pbus80 <- ensyu$pbus*0.8
cost <- ensyu[,62:67]

setwd("C:/Users/Dai-S/Desktop/TUMSAT/senior/Ă̊wZ/")
write.csv(cost,file = "cost.csv")

cor(ensyu$pcar,ensyu$vcar)


rinkai <- subset(ensyu,ensyu$ʒu=="_ސ쌧ls" & ensyu$ʒu=="_ސ쌧ls")
rinkaitable <- table(rinkai$\ʎi,rinkai$ʒu)
write.csv(rinkaitable,file="rinkai.csv")

notrinkai <- subset(ensyu,ensyu$ʒu!="_ސ쌧ls" & ensyu$ʒu!="_ސ쌧ls")
notrinkaitable <- table(notrinkai$\ʎi,notrinkai$ʒu)
write.csv(notrinkaitable,file="notrinkai.csv")
