setwd("C:/Users/regio/Desktop/senior/Ă̊wZ/model2018/Japanese/zzf[^/PPf[^/l/2010")
locData <- read.csv("locData.csv",header = T)
trip2010 <- read.csv("trip.csv",header = T)

map <- get_map(c(mean(locData$ox.{nn.),mean(locData$ܓx.{nn.)),zoom=12)
ggmap(map) + geom_point(data = locData,aes(x=ox.{nn.,y=ܓx.{nn.,colour=ړi))               
table(locData$ړi)

mycar <- subset(locData,locData$ړi=="Ɨp")


setwd("C:/Users/regio/Desktop/senior/Ă̊wZ/model2018/Japanese/zzf[^/PPf[^/l/tTvOf[^/Sf[^")
ensyu <- read.csv("ensyu_cleaningall.csv")
str(ensyu)
table(ensyu$j^[ID)

kanagawa <- subset(ensyu,ensyu$shikunameO == ""@|@ensyu$shikunameO == ""@| ensyu$shikunameO == "_ސ")
kanagawa <- subset(kanagawa,kanagawa$shikunameD == ""@|@kanagawa$shikunameD == ""@| kanagawa$shikunameD == "_ސ")

table(kanagawa$ړI)

map <- get_map(c(mean(kanagawa$LonO),mean(kanagawa$LatO)),zoom=13)
ggmap(map) + geom_point(data = kanagawa,aes(x=LonO,y=LatO,colour=ړI))

map1 <- get_map(c(mean(kanagawa$LonD),mean(kanagawa$LatD)),zoom=13)
ggmap(map1) + geom_point(data = kanagawa,aes(x=LonD,y=LatD,colour=ړI))

map2 <- get_map(c(mean(kanagawa$LonD),mean(kanagawa$LatD)),zoom=13)
ggmap(map2) + geom_point(data = kanagawa,aes(x=LonD,y=LatD,colour=\ʎi))

car <- subset(kanagawa,kanagawa$\ʎi == "")
mapcar <- get_map(c(mean(kanagawa$LonD),mean(kanagawa$LatD)),zoom=13,maptype = "roadmap")
ggmap(mapcar) + geom_point(data = car,aes(x=LonD,y=LatD),size=1,color="salmon")

train <- subset(kanagawa,kanagawa$\ʎi == "S")
maptrain@<- get_map(c(mean(kanagawa$LonD),mean(kanagawa$LatD)),zoom=13,maptype = "roadmap")
ggmap(maptrain) + geom_point(data = train,aes(x=LonD,y=LatD),size=1,color="blue")

bus <- subset(kanagawa,kanagawa$\ʎi == "oX")
mapbus@<- get_map(c(mean(kanagawa$LonD),mean(kanagawa$LatD)),zoom=13,color = "bw")
ggmap(mapbus) + geom_point(data = bus,aes(x=LonD,y=LatD),size=1,color="red")

walk <- subset(kanagawa,kanagawa$\ʎi == "k")
mapwalk@<- get_map(c(mean(kanagawa$LonD),mean(kanagawa$LatD)),zoom=13,color = "bw")
ggmap(mapwalk) + geom_point(data = walk,aes(x=LonD,y=LatD),size=1,color="orange")

bike <- subset(kanagawa,kanagawa$\ʎi == "]")
mapbike@<- get_map(c(mean(kanagawa$LonD),mean(kanagawa$LatD)),zoom=13,color = "bw")
ggmap(mapbike) + geom_point(data = bike,aes(x=LonD,y=LatD),size=1,color="purple")


table(kanagawa$\ʎi)
table(kanagawa$\ʎiR[h)
addmargins(table(kanagawa$\ʎi,kanagawa$pbus))


mycar <- subset(kanagawa,kanagawa$\ʎiR[h == 100)
map <- get_map(c(mean(mycar$LonD),mean(mycar$LatD)),zoom=13,color = "bw")
ggmap(map) + geom_point(data = mycar,aes(x=LonD,y=LatD),size=2,color="salmon")

train <- subset(kanagawa,kanagawa$\ʎiR[h == 200)
map1 <- get_map(c(mean(train$LonD),mean(train$LatD)),zoom=13,color = "bw")
ggmap(map1) + geom_point(data = train,aes(x=LonD,y=LatD),size=2,color="green")

bus <- subset(kanagawa,kanagawa$\ʎiR[h == 240)
map2 <- get_map(c(mean(bus$LonD),mean(bus$LatD)),zoom=13,color = "bw")
ggmap(map2) + geom_point(data = bus,aes(x=LonD,y=LatD),size=2,color="blue")

bicycle <- subset(kanagawa,kanagawa$\ʎiR[h == 410)
map3 <- get_map(c(mean(bicycle$LonD),mean(bicycle$LatD)),zoom=12,color = "bw")
ggmap(map3) + geom_point(data = bicycle,aes(x=LonD,y=LatD),size=2,color="orange")

walk <- subset(kanagawa,kanagawa$\ʎiR[h == 420)
map4 <- get_map(c(mean(walk$LonD),mean(walk$LatD)),zoom=13,color = "bw")
ggmap(map4) + geom_point(data = walk,aes(x=LonD,y=LatD),size=2,color="purple")

taxi <- subset(kanagawa,kanagawa$\ʎiR[h == 500)
map5 <- get_map(c(mean(taxi$LonD),mean(taxi$LatD)),zoom=14,color = "bw")
ggmap(map5) + geom_point(data = taxi,aes(x=LonD,y=LatD),size=4,color="darkblue")

sharebike <- subset(kanagawa,kanagawa$\ʎiR[h == 700)
map6 <- get_map(c(mean(sharebike$LonD),mean(sharebike$LatD)),zoom=14,color = "bw")
ggmap(map6) + geom_point(data = sharebike,aes(x=LonD,y=LatD),size=2,color="red")

addmargins(table(kanagawa$\ʎi,kanagawa$ړI))
write.csv(addmargins(table(kanagawa$\ʎi,kanagawa$ړI)),file = "means.csv")
addmargins(table(kanagawa$\ʎiR[h,kanagawa$ړI))
write.csv(addmargins(table(kanagawa$\ʎiR[h,kanagawa$ړI)),file = "codeobject.csv")

